
=encoding utf8

=head1 NAME

Sidef::Types::Glob::Dir

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Dir(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Types::Glob::File

=head1 METHODS

=head2 +

    a + b

Returns the

Aliases: I<concat>, I<catfile>

=cut

=head2 chdir

    Dir.chdir()

Returns the

=cut

=head2 chroot

    Dir.chroot()

Returns the

=cut

=head2 cwd

    Dir.cwd()

Returns the

=cut

=head2 delete

    Dir.delete()

Returns the

Aliases: I<remove>, I<unlink>

=cut

=head2 dump

    Dir.dump()

Returns the

=cut

=head2 home

    Dir.home()

Returns the

=cut

=head2 is_empty

    Dir.is_empty()

Returns the

=cut

=head2 make

    Dir.make()

Returns the

Aliases: I<mkdir>, I<create>

=cut

=head2 mkpath

    Dir.mkpath()

Returns the

Aliases: I<mktree>, I<make_path>, I<make_tree>, I<create_tree>

=cut

=head2 new

    Dir.new()

Returns the

Aliases: I<call>

=cut

=head2 open

    Dir.open()

Returns the

Aliases: I<open_r>

=cut

=head2 open_rw

    Dir.open_rw()

Returns the

=cut

=head2 open_w

    Dir.open_w()

Returns the

=cut

=head2 parent

    Dir.parent()

Returns the

=cut

=head2 pwd

    Dir.pwd()

Returns the

=cut

=head2 remove_tree

    Dir.remove_tree()

Returns the

=cut

=head2 root

    Dir.root()

Returns the

=cut

=head2 split

    Dir.split()

Returns the

=cut

=head2 tmp

    Dir.tmp()

Returns the

Aliases: I<temp>

=cut

=head2 to_dir

    Dir.to_dir()

Returns the

=cut

=head2 to_s

    Dir.to_s()

Returns the

Aliases: I<to_str>

=cut

=head2 up

    Dir.up()

Returns the

=cut
